Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jms.extensions
Interface WLMessageProducer

public interface WLMessageProducer
extends javax.jms.MessageProducer

A WLMessageProducer provides methods not supported by javax.jms.MessageProducer.

WLMessageProducer provide methods for the following:

- Setting the time to deliver sent messages
- Getting the time to deliver sent messages

Author:
  Copyright (c) 2001 by BEA Systems, Inc., All Rights Reserved.
See Also:
  `MessageProducer`

Method Summary
`int` | `getRedeliveryLimit()` Get the redelivery limit for the producer.
`long` | `getTimeToDeliver()` Get the time to deliver for this producer; this is a relative time representing the delay in milliseconds before a sent message is made visible on its target destination.
`void` | `setRedeliveryLimit(int redeliveryLimit)` Set the redelivery limit for the producer.
`void` | `setTimeToDeliver(long timeToDeliver)` Set the time to deliver for this producer; this is a relative time representing the delay in milliseconds before a sent message is made visible on its target destination.

Methods inherited from interface javax.jms.MessageProducer
`close, getDeliveryMode, getDisableMessageID, getDisableMessageTimestamp, getPriority, getTimeToLive, setDeliveryMode, setDisableMessageID, setDisableMessageTimestamp, setPriority, setTimeToLive`

Method Detail

### getTimeToDeliver

    public long getTimeToDeliver()
                          throws javax.jms.JMSException

  Get the time to deliver for this producer; this is a relative time representing the delay in milliseconds before a sent message is made visible on its target destination. The default time to deliver is 0; this default can be changed by modifying the configuration of the connection factory used to create this producer. If the time to deliver on the producer is set to -1 (the default), then this method will return the default time to deliver, which is the configurable value on the connection factory used to create this producer.

  Returns:
    The time to deliver for the message.
  Throws:
    javax.jms.JMSException - if a JMS error occurs.
  See Also:
    `setTimeToDeliver(long)`, `weblogic.jms.extensions.WLMessage.getJMSDeliveryTime()`

### setTimeToDeliver

    public void setTimeToDeliver(long timeToDeliver)
                          throws javax.jms.JMSException

  Set the time to deliver for this producer; this is a relative time representing the delay in milliseconds before a sent message is made visible on its target destination. The default time to deliver is 0; this default can be changed by modifying the configuration of the connection factory used to create this producer. Setting the time to deliver to -1 forces use of this default. Setting the time to deliver to anything greater than or equal to 0 overrides this default.

  Parameters:
    `timeToDeliver` - The time to deliver this message.
  Throws:
    javax.jms.JMSException - if a JMS error occurs.
  See Also:
    `getTimeToDeliver()`, `weblogic.jms.extensions.WLMessage.getJMSDeliveryTime()`

### getRedeliveryLimit

    public int getRedeliveryLimit()
                           throws javax.jms.JMSException

  Get the redelivery limit for the producer. This is the number of times a message will be redelivered after a recover or rollback. The value is set by the producer when the message is sent.

  Returns:
    The number of times to redeliver the message
  Throws:
    javax.jms.JMSException - if a JMS error occurs.
  See Also:
    `weblogic.jms.extensions.WLMessage.getJMSRedeliveryLimit()`, `weblogic.jms.extensions.WLMessage.setJMSRedeliveryLimit(int)`

### setRedeliveryLimit

    public void setRedeliveryLimit(int redeliveryLimit)
                            throws javax.jms.JMSException

  Set the redelivery limit for the producer. This is the number of itmes a message will be redelivered after a recover or rollback. This method should only be called by JMS providers. The value is set by the producer when the message is sent.

  Parameters:
    `redeliveryLimit` - the number of times to redeliver the message
  Throws:
    javax.jms.JMSException - if a JMS error occurs.
  See Also:
    `weblogic.jms.extensions.WLMessage.getJMSRedeliveryLimit()`, `weblogic.jms.extensions.WLMessage.setJMSRedeliveryLimit(int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference